# string-case-converter

A library that intelligently converts strings between `camelCase`, `PascalCase`, `snake_case`, and `kebab-case`, with additional options for handling acronyms.

## Installation

```bash
npm install string-case-converter

Usage

import { convertCase } from 'string-case-converter';

const input = 'myVariableName';

// Convert camelCase to snake_case:
const snake = convertCase(input, 'snake');
console.log(snake); // "my_variable_name"

// Convert camelCase to PascalCase:
const pascal = convertCase(input, 'pascal');
console.log(pascal); // "MyVariableName"

// Convert kebab-case to camelCase:
const camel = convertCase('my-variable-name', 'camel');
console.log(camel); // "myVariableName"


Handling Acronyms

import { convertCase } from 'string-case-converter';

const input = 'myAPIKey';

// Without acronym handling:
console.log(convertCase(input, 'snake')); 
// "my_a_p_i_key"

// With acronym handling:
console.log(convertCase(input, 'snake', { handleAcronyms: true })); 
// "my_api_key"
