// test/index.test.js
import { convertCase } from '../src/index.js';

test('convert camelCase to snake_case', () => {
  expect(convertCase('myVariableName', 'snake')).toBe('my_variable_name');
});

test('convert PascalCase to kebab-case', () => {
  expect(convertCase('MyVariableName', 'kebab')).toBe('my-variable-name');
});

test('handle acronyms in camelCase', () => {
  expect(convertCase('myAPIKey', 'snake', { handleAcronyms: true })).toBe('my_api_key');
});

test('convert kebab-case to pascalCase', () => {
  expect(convertCase('my-variable-name', 'pascal')).toBe('MyVariableName');
});
